$grid-breakpoints: (
  xxs: 360px,
  xm: 400px,
  xs: 568px,
  sl: 600px,
  sm: 640px,
  md: 768px,
  ml: 825px,
  mx: 900px,
  ms:993px,
  my: 1024px,
  lg: 1110px,
  xl: 1200px,
  xxl: 1440px,
  xxxl: 1920px
);

@mixin breakpoint($size, $rule: max-width) {
  @media (#{$rule}: map-get($grid-breakpoints, $size) - 1px) {
    @content;
  }
}

@mixin breakpoint-mf($size, $rule: min-width) {
  @media (#{$rule}: map-get($grid-breakpoints, $size)) {
    @content;
  }
}

@mixin breakpoint-between($min-size, $max-size) {
  $min: map-get($grid-breakpoints, $min-size);
  $max: map-get($grid-breakpoints, $max-size) - 1px;

  @media (min-width: $min) and (max-width: $max) {
    @content;
  }
}

@mixin flexColumn {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

@mixin flexRow {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}